dpkg-split(1)

NAAM
dpkg-split - gereedschap voor het splitsen/samenvoegen van Debian pakketarchieven

OVERZICHT
dpkg-split [optie...] commando

BESCHRIJVING
dpkg-split splitst Debian binaire pakketbestanden op in kleinere stukken en stelt ze opnieuw samen met het oog op het opslaan van grote pakketbestanden op kleine media zoals diskettes.

De bewerking kan manueel uitgevoerd worden met de opties --split, --join en --info.

Er bestaat ook een automatische modus van, die met de optie --auto geactiveerd wordt. Daarbij houdt het een wachtlijst bij van geziene maar nog niet terug samengevoegde onderdelen en stelt het een pakketbestand opnieuw samen nadat het alle onderdelen ervan gezien heeft. De opties --listq en --discard laten toe de wachtrij te beheren.

Alle splitsings-, samenvoegings- en wachtrijoperaties produceren op de standaarduitvoer informatieve mededelingen. Zij kunnen probleemloos genegeerd worden.

COMMANDO'S

-s, --split compleet-archief [prefix]
    Splitst één enkel Debian binair pakket op in verschillende onderdelen.

    De onderdelen worden prefix.NofM.deb genoemd, waarbij N het volgnummer van het onderdeel is, te beginnen bij 1, en M het totaal aantal onderdelen (beide in decimale vorm).

    Indien geen prefix opgegeven werd, dan wordt als bestandsnaam de naam van compleet-archief genomen, de map inbegrepen, en met eventuele weglating van het achtervoegsel .deb.

-j, --join onderdeel...
    Voegt de onderdelen van een pakketbestand samen, waarbij het originele bestand terug samengesteld wordt zoals het er voor de splitsing uitzag.

    De bestanden van de onderdelen die als argumenten opgegeven worden moeten alle onderdelen zijn van exact hetzelfde originele binaire bestand. Elk onderdeel moet exact eenmaal voorkomen in de lijst van argumenten, maar de onderdelen moeten niet in de goede volgorde opgesomd zijn.

    De onderdelen moeten uiteraard allemaal aangemaakt zijn met eenzelfde grootte die op het moment van opsplitsen opgegeven werd, hetgeen betekent dat zij gewoonlijk aangemaakt moeten zijn tijdens eenzelfde uitvoering van het commando dpkg-split --split.

    De bestandsnamen van de onderdelen zijn niet significant voor het proces van opnieuw samenstellen.

    Standaard wordt het uitvoerbestand pakket_versie_arch.deb genoemd.

-I, --info onderdeel...
    Geeft in een voor mensen leesbare vorm informatie weer over de/het opgegeven deelbestand(en). Argumenten die niet een stuk van een binair pakket zijn, lokken een mededeling uit die dat stelt (maar wel nog steeds op de standaarduitvoer).

-a, --auto -o afgewerkte-uitvoer onderdeel
    Onderdelen automatisch in de wachtrij plaatsen en het pakket indien mogelijk opnieuw samenstellen.

    Het opgegeven onderdeel wordt onderzocht en (eventueel) vergeleken met andere onderdelen van hetzelfde pakket uit de wachtrij met onderdelen van pakketbestanden.

    Indien alle onderdelen van het pakketbestand waarvan onderdeel deel uitmaakt, beschikbaar zijn, wordt het pakket opnieuw samengesteld en geschreven naar afgewerkte-uitvoer (dat gewoonlijk niet reeds zou mogen bestaan, hoewel dat geen fout is).

    Indien dat niet het geval is, wordt onderdeel naar de wachtrij gekopieerd en wordt afgewerkte-uitvoer niet aangemaakt.

    Indien onderdeel geen deel is van een opgesplitst binair pakket, zal dpkg-split afsluiten met status 1. Indien er zich een ander probleem voordoet, zal het afsluiten met status 2.

    De optie --output of -o moet opgegeven worden als --auto gebruikt wordt. (Mocht dit niet verplicht zijn, dan zou het aanroepende programma niet weten welk uitvoerbestand het moet verwachten.)

-l, --listq
    Somt de inhoud op van de wachtrij met pakketten die opnieuw samengesteld moeten worden.

    Voor elk pakketbestand waarvan er zich onderdelen in de wachtrij bevinden, geeft de uitvoer de naam van het pakket weer, de onderdelen die zich in de wachtrij bevinden en het totaal aantal in de wachtrij opgeslagen bytes.

-d, --discard [pakket...]
    Dit verwijdert onderdelen uit de wachtrij met onderdelen die wachten op de resterende onderdelen van hun pakket.

    Indien geen enkel pakket opgegeven werd, wordt de wachtrij volledig leeggemaakt. Indien er wel opgegeven werden, dan worden enkel onderdelen van het/de relevante pakket(ten) verwijderd.

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OPTIES

--depotdir map
    Geeft een alternatieve map op voor de wachtrij van onderdelen die wachten op de automatische hersamenstelling. Standaard is dat /var/lib/dpkg/parts.

--admindir map
    De administratieve map instellen op map (sinds dpkg 1.21.10). Dit is waar het statusmodificatie-bestand opgeslagen is. Standaard is dat «/var/lib/dpkg» indien DPKG_ADMINDIR niet werd ingesteld.

--root map
    De hoofdmap instellen op map (sinds dpkg 1.21.10), hetgeen de installatiemap instelt op «map» en de administratieve map op «map/var/lib/dpkg» indien DPKG_ROOT niet werd ingesteld.

-S, --partsize kibibytes
    Geeft aan wat de maximale grootte mag zijn van een onderdeel bij het opsplitsen, uitgedrukt in kibibytes (1024 bytes). Standaard is dat 450 KiB.

-o, --output afgewerkte-uitvoer
    Geeft de bestandsnaam op voor het hersamengestelde bestand.

    Bij een handmatige hersamenstelling (--join) vervangt dit de standaardnaam en het is verplicht bij een automatische hersamenstelling of in-de-wachtrij-plaatsing (--auto).

-Q, --npquiet
    Bij het uitvoeren van een automatische hersamenstelling of in-de-wachtrij-plaatsing, zal dpkg-split gewoonlijk een melding tonen als het een onderdeel aangereikt krijgt dat geen deel uitmaakt van een binair pakket. Deze optie onderdrukt deze melding om het voor programma's zoals dpkg mogelijk te maken om te gaan met zowel opgesplitste als niet-opgesplitste pakketten zonder ongepaste meldingen te produceren.

--msdos
    Dwingt --split ertoe om de bestandsnamen van de uitvoer die het genereert MSDOS-compatibel te maken.

    Dit verhaspelt het prefix - ofwel het standaardprefix dat afgeleid wordt van de bestandsnaam van de invoer of het prefix dat als argument opgegeven werd: alfanumerieke tekens worden naar kleine letters omgezet, een plus-teken wordt vervangen door een x en alle andere tekens worden verwijderd.

    Het resultaat wordt dan zoveel als nodig afgekapt en er worden bestandsnamen gegenereerd in de vorm van prefixNofM.deb.

AFSLUITSTATUS

0   De gevraagde opsplitsing, samenvoeging of een ander commando werd met succes uitgevoerd. --info commando's worden als geslaagd beschouwd, ook als de bestanden geen onderdeel zijn van een binair pakket.

1   Komt enkel voor bij --auto en geeft aan dat het onderdeel-bestand geen deel van een binair pakket was.

2   Fatale of onherstelbare fout die te wijten is aan een ongeldig gebruik van de commandoregel, aan een bestand dat er uitzag als een bestand van een pakketonderdeel maar defect was of aan interacties met het systeem, zoals het benaderen van de database, geheugentoewijzing, enz.

OMGEVING

DPKG_ROOT
    Indien dit ingesteld is en de optie --root niet opgegeven werd, zal dit gebruikt worden als de hoofdmap voor het bestandssysteem (sinds dpkg 1.21.10).

DPKG_ADMINDIR
    Indien dit ingesteld is en de opties --admindir of --root niet opgegeven werden, zal dit gebruikt worden als de databasemap van dpkg (sinds dpkg 1.21.10).

DPKG_DEBUG
    Stelt het foutopsporingsmasker in (sinds dpkg 1.21.10) vanaf een octale waarde. De momenteel geaccepteerde vlaggen worden beschreven in de optie dpkg --debug, maar mogelijk hebben niet al deze vlaggen effect op dit programma.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.22.7). Geldige waarden zijn: 0 and 1 (standaard).

SOURCE_DATE_EPOCH
    Indien dit ingesteld werd, zal het gebruikt worden als de tijdsaanduiding (timestamp) (in seconden sinds de epoch) in de ar(5)-container van deb-split(5).

    Sinds dpkg 1.18.11.

BESTANDEN

/var/lib/dpkg/parts
    De standaardmap voor de wachtrij met bestandsonderdelen die wachten op de automatische hersamenstelling.

    De bestandsnamen die in deze map gebruikt worden, gebruiken een indeling die eigen is aan dpkg-split en zijn hoogstwaarschijnlijk onbruikbaar voor andere programma's en in ieder geval mag men niet steunen op die bestandsnaamstructuur.

BEVEILIGING
Het onderzoeken of samenvoegen van niet-vertrouwde gesplitste pakketarchieven moet worden beschouwd als een grens van veiligheid en elke doorbreking van die grens als gevolg van deze handelingen moet worden beschouwd als een veiligheidslek. Het uitvoeren van deze operaties op basis van niet-vertrouwde gegevens als root wordt sterk afgeraden.

Het automatisch verenigen of weggooien van onderdelen van gesplitste pakketten worden beschouwd als bevoorrechte bewerkingen die uitbreiding naar root-rechten mogelijk maken. Deze handelingen mogen nooit gedelegeerd worden naar een niet-vertrouwde gebruiker of uitgevoerd worden op niet-vertrouwde pakketten, omdat dit root-toegang tot het systeem mogelijk maakt.

Het splitsen van pakketarchieven mag alleen worden uitgevoerd op basis van vertrouwde gegevens.

BUGS
Alle details over de pakketten die zich in de wachtrij bevinden, kunnen onmogelijk bekomen worden zonder zichzelf te verdiepen in de wachtrijmap.

Er bestaat geen eenvoudige manier om na te gaan of een bestand dat een onderdeel van een binair pakket zou kunnen zijn, er effectief ook een is.

ZIE OOK
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).